Kerbal Space Program - Bug #24944

Windows upgrade patches for KSP do not patch
02/29/2020 11:02 PM - Anonymous

Status: Resolved Start date: 02/29/2020
Severity: Low % Done: 100%
Assignee: Technicalfool

Category: Application

Target version:

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

To reproduce

Download ksp-win64-1.9.0.zip and unpack to C:\KSP_win64

(optional) download and apply KSP-Breaking_Ground_Expansion-en-us-1.4.0.exe to that directory
(optional) download and apply KSP-Making_History_Expansion-en-us-1.9.0.exe to that directory

Download and attempt to apply the patcher KSPx64-Patch-1.9.0-To-1.9.1.exe (2.5MB) to C:\KSP_win64
The patcher refuses this directory with the message "Please select a valid Kerbal Space Program folder"

History

#1 - 03/05/2020 06:32 PM - Technicalfool
- Status changed from New to Investigating
- Assignee set to Technicalfool

- % Done changed from 0 to 20

#2 - 03/05/2020 07:53 PM - Technicalfool

ManeTI found a problem and it should be fixed. Tested here with the store download. Please redownload the 1.9.0 to 1.9.1 patch and try again.

#3 - 03/06/2020 07:26 PM - ManeTI
- Status changed from Investigating to Resolved

- % Done changed from 20 to 100
